Subject: Re: [PATCH 2.6] iptables CLUSTERIP target

From: Christoph Hellwig <[email-masked]>
Date: Thu, 21 Oct 2004 08:44:50 +0100

On Thu, Oct 21, 2004 at 12:38:28AM +0200, Harald Welte wrote:
> Hi Dave!
> 
> This is the second patch, adding the 'CLUSTERIP' target to iptables. It
> depends on the first 'CONNMARK' patch.
> 
> This enables you to build a static load sharing cluster between multiple
> nodes - without the requirement to have a load balancer.  It uses a
> series of [evil] tricks like replying with linklayer multicast addresses
> to ARP requests, and using CONNMARK for stateful blocking all traffic
> not intended for the local node.
> 
> Apart from the usual netfilter-specific file additions and
> Kconfig/Makefile patches, this needs to export proc_file_operations in
> order to get the reference counting of certain data objects right.  I
> hope this change is acceptable.

The export is totally bogus.  If you need to do fancy things procfs is
the wrong interface.  Care to explain why exactly you think you need it?